X
點擊此處開啟此網站的行動版。

技術支援討論區

Will Firefox block all SSL in the future, or just SSLv3?

已張貼

I have some panicked people in my office, so I decided to go the source. "They" heard... I do not know where... that Firefox's next update would block ALL SSL, therefore any website we need to log into will be blocked. From what I can see on this support site, nothing is coming that is different from what happened in December 2014 in response to Poodle with the SSLv.3.

I need to settle the ruffled feathers: will Firefox still work with SSL in the future?

Thank you very much for your time :)

I have some panicked people in my office, so I decided to go the source. "They" heard... I do not know where... that Firefox's next update would block ALL SSL, therefore any website we need to log into will be blocked. From what I can see on this support site, nothing is coming that is different from what happened in December 2014 in response to Poodle with the SSLv.3. I need to settle the ruffled feathers: will Firefox still work with SSL in the future? Thank you very much for your time :)

額外的系統細節

已安裝的外掛程式

  • ActiveTouch General Plugin Container Version 105
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.10
  • Citrix Online App Detector Plugin
  • Citrix Receiver Plugin (Win32)
  • Citrix URL-Redirection Helper Plugin
  • GEPlugin
  • Google Update
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 11.45.2 for Mozilla browsers
  • Office Authorization plug-in for NPAPI browsers
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • BlackBerry WebSL Browser Plug-In
  • Shockwave Flash 17.0 r0
  • 5.1.40416.0
  • NPWLPG

應用程式

  • Firefox 38.0
  • 使用者代理:Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.0) Gecko/20100101 Firefox/38.0
  • 技術支援網址:https://support.mozilla.org/1/firefox/38.0/WINNT/en-US/

擴充套件

  • Logitech SetPoint 6.5 ({F003DA68-8256-4b37-A6C4-350FA04494DF})

JavaScript

  • incrementalGCEnabled: True

圖形

  • adapterDescription: ATI Radeon HD 5450
  • adapterDescription2:
  • adapterDeviceID: 0x68f9
  • adapterDeviceID2:
  • adapterDrivers: aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
  • adapterDrivers2:
  • adapterRAM: 512
  • adapterRAM2:
  • adapterSubsysID: 303e1682
  • adapterSubsysID2:
  • adapterVendorID: 0x1002
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 6.2.9200.17292
  • driverDate: 1-26-2011
  • driverDate2:
  • driverVersion: 8.821.0.0
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d 1.1', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d 1.1', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • webglRenderer: Google Inc. -- ANGLE (ATI Radeon HD 5450 Direct3D11 vs_5_0 ps_5_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

修改過的偏好設定

其他

  • User JS: 否
  • 輔助功能: 否
jscher2000
  • Top 10 Contributor
8789 個解決方法 71880 個答案

有幫助的回覆

That's a crazy rumor.

As far as I know, TLS 1.2, TLS 1.1 and TLS 1.0 will continue to work for many, many versions.

If someone needs to confirm, they can download a "future" version and try it out. It's probably least disruptive to use the unofficial "Portable" build for testing:

That's a crazy rumor. As far as I know, TLS 1.2, TLS 1.1 and TLS 1.0 will continue to work for many, many versions. If someone needs to confirm, they can download a "future" version and try it out. It's probably least disruptive to use the unofficial "Portable" build for testing: * http://portableapps.com/apps/internet/firefox-developer-portable
cor-el
  • Top 10 Contributor
  • Moderator
17571 個解決方法 158915 個答案

選擇的解決方法

Note that support for some weak ciphers has been removed. See also: *https://blog.mozilla.org/security/ ---- *https://developer.mozilla.org/en-US/Firefox/Releases/36/Site_Compatibility#Security *https://developer.mozilla.org/en-US/Firefox/Releases/37/Site_Compatibility#Security *https://developer.mozilla.org/en-US/Firefox/Releases/38/Site_Compatibility#Security *RFC 7465 - Prohibiting RC4 Cipher Suites:<br>https://tools.ietf.org/html/rfc7465